function Task_14_17(SensorThreeE,rowD,Affected,Observation,Task,eWorkbook)

    SubjectRow = num2str(rowD + 1);

    x = SensorThreeE(:,4);
    x = x(~isnan(x));
    
%     [~,maxI] = max(x);
%     [~,minI] = min(x);
    m = mean(x);
%     th = find(abs(x)>1,1,'first');
    zerIdx = crossing(x,[],m);
%     zerIdx(1) = th;
%     zerIdx = zerIdxT + th;
%     
    
    if size(zerIdx,2) > 7
        zerIdx = zerIdx(1:7);
    end
    
    h = figure('units','normalized','outerposition',[0 0 1 1]); hold on
    plot(x)
    if Affected == 3
        text(zerIdx(1),max(x)+0.5,'Affected / nondominant side = RIGHT. First movement should be POSITIVE','fontsize',14);
    end
    
    if Affected == 4 
        text(zerIdx(1),max(x)+0.5,'Affected  / nondominant side = LEFT. First movement should be NEGATIVE','fontsize',14);
    end
    
    for i = 1 : size(zerIdx,2)
        line([zerIdx(i) zerIdx(i)],[min(x) max(x)],'color','r','linestyle','--');
    end
    
    cycles = questdlg('Are the cycles correctly identified?', ...
                         'Cycles', ...
                         'Yes', 'No','Yes');

    if strcmp(cycles,'Yes')
        close(h)
    else
        cla
        plot(x)
        line([1 size(x,1)],[m m],'color','k','linestyle','--');
        [zerIdxTemp,~] = getpts;
        zerIdx = round(zerIdxTemp)';
       
        for i = 1 : size(zerIdx,2)
            line([zerIdx(i) zerIdx(i)],[min(x) max(x)],'color','r','linestyle','--');
        end
        
        pause(1)
        close(h)
    end

    if Affected == 3
        for i = 1 : size(zerIdx,2) -1
            if mod(i,2)
                Rotvals(i) = max(x(zerIdx(i) : zerIdx(i+1)));
            else
                Rotvals(i) = min(x(zerIdx(i) : zerIdx(i+1)));
            end
            
        end
    else
        for i = 1 : size(zerIdx,2) -1
            if mod(i,2)
                Rotvals(i) = min(x(zerIdx(i) : zerIdx(i+1)));
            else
                Rotvals(i) = max(x(zerIdx(i) : zerIdx(i+1)));
            end
            
        end
    end
    
    AffectedRotT = Rotvals(1:2:end);
    NonAffectedRotT = Rotvals(2:2:end);    
    
    if Affected == 3
        AffectedRot = AffectedRotT(AffectedRotT>=0);
        NonAffectedRot = NonAffectedRotT(NonAffectedRotT<0);        
    else    
        AffectedRot = AffectedRotT(AffectedRotT<0);
        NonAffectedRot = NonAffectedRotT(NonAffectedRotT>=0);        
    end
    
    
    NumAffectedRot = size(AffectedRot,2);
    NumNonAffectedRot = size(NonAffectedRot,2);
        
    AverageAffected = abs(mean(AffectedRot));
    AverageNonAffected = abs(mean(NonAffectedRot));            
    
    SymmetryIndex = 100 - abs((AverageAffected - AverageNonAffected) / (AverageAffected + AverageNonAffected) * 100); % See http://biomch-l.isbweb.org/threads/8897-Symmetry-index-summary-of-replies
    %%% to see where this has come from.
    % Dingwell, J.B., Davis, B.L., and Frazier, D.M., (1996) "Use Of An
    % Instrumented Treadmill For Real-Time Gait Symmetry Evaluation And Feedback
    % In Normal And Below-Knee Amputee Subjects," Prosthetics And Orthotics
    % International, 20:
    % 101-110.
    % Herzog, W., Nigg, B.M., Read, L.J., and Olsson, E. (1989). Asymmetries in
    % Ground Reaction Force Patterns in Normal Human Gait. Medicine and Science
    % in Sports and Exercise, 21 (1): 110 - 114.
    
    
    Results = [NumAffectedRot, NumNonAffectedRot, AverageAffected, AverageNonAffected, SymmetryIndex];
    
    if Observation == 1
        CellRange = ['G' SubjectRow ':K' SubjectRow];
    end
    
    if Observation == 2
        CellRange = ['L' SubjectRow ':P' SubjectRow];
    end
    
    if Observation == 3
        CellRange = ['Q' SubjectRow ':U' SubjectRow];
    end
    
    if Observation == 4
        CellRange = ['V' SubjectRow ':Z' SubjectRow];
    end

    eSheet = eWorkbook.Sheets.get('Item',Task);
    eSheet.Activate
 
    eActivesheetRange = get(eSheet,'Range',CellRange);
    eActivesheetRange.Value = Results;
